Bug 432276 - Gnome says: Cannot start Gnome-setting-daemon
Gnome says: Cannot start Gnome-setting-daemon
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: freenx-server (Show other bugs)
8
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Axel Thimm
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-10 16:06 EST by markus
Modified: 2008-07-26 02:05 EDT (History)
1 user (show)

See Also:
Fixed In Version: 0.7.2-8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-30 03:48:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description markus 2008-02-10 16:06:13 EST
From Bugzilla Helper:
User-Agent: Opera/9.50 (X11; Linux x86_64; U; en)

Description of problem:
When a user creates heavy load and a second user connects, often (not always) 
this message pops up:

"An error occured when trying to start GNOME-settingdaemon.

Something, like themes, sound or background-settings may not
work as expected.

The last error was:

Did not recieve a reply. Possible cause include: the remote 
application did not send a reply, the message bus security policy
blocked the reply, the reply timeout expired, or the network
connection was broken.

GNOME will try to start the daemon next time you log on."

This do not happen when logging on localy, only through nx.



Version-Release number of selected component (if applicable):
freenx-0.7.1-3.fc8

How reproducible:
Sometimes


Steps to Reproduce:
1. Connect one user to nx server
2. Give the server a ton of work to do (100% cpu usage)
3. Connect a second user to nx server

Actual Results:
The above message pops up and the desktop do not work very well (wrong font 
size, malfunctioning of the panel programs, etc).

Expected Results:


Additional info:
Comment 1 Axel Thimm 2008-04-11 12:20:43 EDT
This is a collective comment for freenx bugs. There is a new release packaged as
freenx-server-0.7.2-7 in rawhide and soon in updates-testing. Please test it and
see whether it fixed your report.

Also note that freenx has been split into freenx-server and freenx-client. All
current open bug reports will move to freenx-server once it is created in bugzilla.
Comment 2 Axel Thimm 2008-04-24 04:37:47 EDT
freenx has been split into freenx-server and freenx-client. Most open bugs for
freenx addressed parts of the current freenx-server package. See also bug #438660.

freenx-server is currently in testing repos. Please give it a try as it will
soon replace the freenx package.
Comment 3 markus 2008-04-25 10:34:24 EDT
The Gnome-settings stuff seems to be working as expected in freenx-server 0.7.2-
8!
Comment 4 Axel Thimm 2008-04-30 03:48:07 EDT
Thanks for reporting and the feedback!
Comment 5 Fedora Update System 2008-05-10 09:56:40 EDT
freenx-server-0.7.2-8.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2008-05-13 11:29:53 EDT
freenx-server-0.7.2-8.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2008-07-26 02:05:03 EDT
freenx-server-0.7.2-8.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.